Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Class RowEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--oracle.jbo.JboEvent
                  |
                  +--oracle.jbo.RowEvent

Direct Known Subclasses:
  InsertDeleteEvent, UpdateEvent

public class RowEvent
extends JboEvent

An event class used by `RowSetIterator` to inform its listeners when a row is modified, added, or deleted.

Since:
  JDeveloper 3.0
See Also:
  Serialized Form

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`RowEvent(RowSetIterator source, Row row, int rowIndex)` Creates an event when a row is modified, added, or deleted.

Method Summary
`Row` | `getRow()` Gets the row that has been modified.
`int` | `getRowIndex()` Gets the index of the row that has been modified.
`java.lang.String` | `toString(java.lang.String className)` Internal: For debugging only.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RowEvent

    public RowEvent(RowSetIterator source,
                    Row row,
                    int rowIndex)

  Creates an event when a row is modified, added, or deleted.

  Parameters:
    `source` - an accessor to a set of rows.
    `row` - the modified row.
    `rowIndex` - the row's index in the row set range.

Method Detail

### getRow

    public Row getRow()

  Gets the row that has been modified.
  Returns:
    the modified row object.

### getRowIndex

    public int getRowIndex()

  Gets the index of the row that has been modified.
  Returns:
    the modified row object's index in the row set range.

### toString

    public java.lang.String toString(java.lang.String className)

  Internal: For debugging only.
  Returns:
    a diagnostic string.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD